%define url_ver %(echo %{version}|cut -d. -f1,2)

Summary:        MATE Desktop window management tool
Name:           mate-netbook
Version:        1.16.1
Release:        %mkrel 1
License:        GPLv3
Group:          Graphical desktop/Mate
URL:            http://mate-desktop.org
Source0:        http://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
#-------------------------------------
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}fakekey-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: %{_lib}mono-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}unique-devel
BuildRequires: %{_lib}wnck1-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xi-devel
BuildRequires: %{_lib}xtst-devel
#------------------------------------------------
Requires:        mate-panel >= 1.8.0

%description
This package provides a simple window management tool which provides the
following functionality:
 * Allow to set basic rules for window types;
 * Allow exceptions to the rules based on string matching for window
   name and window class;
 * Allows reversing of rules when the user manually changes something;
 * Re-decorates windows on un-maximize

%prep
%setup -q

%build
%configure2_5x --with-gtk=3.0 --libexecdir=%{_libexecdir}/%{name}

%make

%install
rm -rf %buildroot
%makeinstall_std

# Remove unneeded MateConf stuff
rm -fr %{buildroot}%{_datadir}/MateConf

%find_lang %{name} --with-gnome --all-name

%files -f %{name}.lang
%doc ChangeLog README
%config(noreplace) %{_sysconfdir}/xdg/autostart/mate-maximus-autostart.desktop
%dir %{_libexecdir}/%{name}
%{_bindir}/mate-maximus
%{_libexecdir}/%{name}/mate-window-picker-applet
%{_datadir}/dbus-1/services/*.service
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/mate-panel/
%{_mandir}/man1/mate-maximus.1.*


%changelog
* Wed Dec 14 2016 adrianomorselli <adrianomorselli> 1.16.1-1uplos2016
- rebuild

* Tue Nov 02 2016 bb <bb> 1.16.1-1pclos2016
- update

* Wed Sep 21 2016 bb <bb> 1.16.0-1pclos2016
- update

* Fri Apr 08 2016 bb <bb> 1.14.0-1pclos2016
- update


